Subject: RE: CMP question

From: Carlisle Adams <[email-masked]>
Date: Fri, 8 Dec 2000 15:10:26 -0500

Hi Margus,

> ----------
> From: 	Margus Freudenthal[SMTP:[email-masked]]
> Sent: 	Thursday, December 07, 2000 5:41 AM
> To: 	PKIX list
> Subject: 	CMP question
> 
> Hello.
> 
> The RFC 2510 (or its successor) does not define how one should respond
> to announcement messages (i.e. certificate announcement, revocation
> announcement, CRL announcement).  In some cases (mostly for revocation)
> the sending party needs to know that the receiver has really got and
> understood the message.  It seems to me that the receiver should reply
> with Confirmation to indicate that the message was OK or with
> ErrorMsgRep, if it wasn't.
> 
> Any other suggestions?
 
In typical practice, there is no response to a broadcast message (the sender
does not want -- or need -- to handle the flood of replies that would come
back).  This is true in many different environments, and CMP announcement
messages are no exception.

If "the sending party needs to know that (a particular) receiver has really
got and understood the message", then the sender should use some mechanism
other than a broadcast announcement to achieve this.  If I need to make sure
I get a message to you, I'm unlikely to put it in the newspaper or in a
radio spot; I'd be better off using the telephone or e-mail (for example).

Carlisle.

---

From: Margus Freudenthal <[email-masked]>
Date: Mon, 18 Dec 2000 13:13:02 +0200

Hello.

> Carlisle Adams wrote:
> 
> If "the sending party needs to know that (a particular) receiver has
> really got and understood the message", then the sender should use
> some mechanism other than a broadcast announcement to achieve this.

In that case, what CMP message should be used for sending "personal"
announcements which require confirmation receipts?

-- 
Margus